diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/rate-control/aparf-wifi-manager.h ns-3.39/src/wifi/model/rate-control/aparf-wifi-manager.h
--- ns-3.38/src/wifi/model/rate-control/aparf-wifi-manager.h	2023-03-16 20:54:23.860869400 -0700
+++ ns-3.39/src/wifi/model/rate-control/aparf-wifi-manager.h	2023-07-05 14:23:48.117428300 -0700
@@ -92,10 +92,10 @@
      */
     void CheckInit(AparfWifiRemoteStation* station);
 
-    uint32_t m_succesMax1; //!< The minimum number of successful transmissions in \"High\" state to
-                           //!< try a new power or rate.
-    uint32_t m_succesMax2; //!< The minimum number of successful transmissions in \"Low\" state to
-                           //!< try a new power or rate.
+    uint32_t m_successMax1; //!< The minimum number of successful transmissions in \"High\" state to
+                            //!< try a new power or rate.
+    uint32_t m_successMax2; //!< The minimum number of successful transmissions in \"Low\" state to
+                            //!< try a new power or rate.
     uint32_t m_failMax;  //!< The minimum number of failed transmissions to try a new power or rate.
     uint32_t m_powerMax; //!< The maximum number of power changes.
     uint8_t m_powerInc;  //!< Step size for increment the power.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/rate-control/arf-wifi-manager.cc ns-3.39/src/wifi/model/rate-control/arf-wifi-manager.cc
--- ns-3.38/src/wifi/model/rate-control/arf-wifi-manager.cc	2023-03-16 20:54:23.860869400 -0700
+++ ns-3.39/src/wifi/model/rate-control/arf-wifi-manager.cc	2023-07-05 14:23:48.117428300 -0700
@@ -274,7 +274,7 @@
         channelWidth = 20;
     }
     WifiMode mode;
-    if (GetUseNonErpProtection() == false)
+    if (!GetUseNonErpProtection())
     {
         mode = GetSupported(station, 0);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/rate-control/cara-wifi-manager.cc ns-3.39/src/wifi/model/rate-control/cara-wifi-manager.cc
--- ns-3.38/src/wifi/model/rate-control/cara-wifi-manager.cc	2023-03-16 20:54:23.860869400 -0700
+++ ns-3.39/src/wifi/model/rate-control/cara-wifi-manager.cc	2023-07-05 14:23:48.117428300 -0700
@@ -245,7 +245,7 @@
         channelWidth = 20;
     }
     WifiMode mode;
-    if (GetUseNonErpProtection() == false)
+    if (!GetUseNonErpProtection())
     {
         mode = GetSupported(station, 0);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/rate-control/minstrel-ht-wifi-manager.cc ns-3.39/src/wifi/model/rate-control/minstrel-ht-wifi-manager.cc
--- ns-3.38/src/wifi/model/rate-control/minstrel-ht-wifi-manager.cc	2023-03-16 20:54:23.860869400 -0700
+++ ns-3.39/src/wifi/model/rate-control/minstrel-ht-wifi-manager.cc	2023-07-05 14:23:48.117428300 -0700
@@ -511,20 +511,9 @@
     station->m_ampduLen = 0;
     station->m_ampduPacketCount = 0;
 
-    // If the device supports HT
-    if (GetHtSupported())
-    {
-        /**
-         * Assume the station is HT.
-         * When correct information available it will be checked.
-         */
-        station->m_isHt = true;
-    }
-    // Use the variable in the station to indicate that the device do not support HT
-    else
-    {
-        station->m_isHt = false;
-    }
+    // Use the variable in the station to indicate whether the device supports HT.
+    // When correct information available it will be checked.
+    station->m_isHt = GetHtSupported();
 
     return station;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/rate-control/minstrel-ht-wifi-manager.h ns-3.39/src/wifi/model/rate-control/minstrel-ht-wifi-manager.h
--- ns-3.38/src/wifi/model/rate-control/minstrel-ht-wifi-manager.h	2023-03-16 20:54:23.860869400 -0700
+++ ns-3.39/src/wifi/model/rate-control/minstrel-ht-wifi-manager.h	2023-07-05 14:23:48.117428300 -0700
@@ -161,7 +161,7 @@
  * Data structure for a table of groups. Each group is of type GroupInfo.
  * A vector of a GroupInfo.
  */
-typedef std::vector<struct GroupInfo> McsGroupData;
+typedef std::vector<GroupInfo> McsGroupData;
 
 /**
  * Constants for maximum values.
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/rate-control/minstrel-wifi-manager.cc ns-3.39/src/wifi/model/rate-control/minstrel-wifi-manager.cc
--- ns-3.38/src/wifi/model/rate-control/minstrel-wifi-manager.cc	2023-03-16 20:54:23.864869400 -0700
+++ ns-3.39/src/wifi/model/rate-control/minstrel-wifi-manager.cc	2023-07-05 14:23:48.117428300 -0700
@@ -424,7 +424,7 @@
         channelWidth = 20;
     }
     WifiMode mode;
-    if (GetUseNonErpProtection() == false)
+    if (!GetUseNonErpProtection())
     {
         mode = GetSupported(station, 0);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/rate-control/onoe-wifi-manager.cc ns-3.39/src/wifi/model/rate-control/onoe-wifi-manager.cc
--- ns-3.38/src/wifi/model/rate-control/onoe-wifi-manager.cc	2023-03-16 20:54:23.864869400 -0700
+++ ns-3.39/src/wifi/model/rate-control/onoe-wifi-manager.cc	2023-07-05 14:23:48.117428300 -0700
@@ -371,7 +371,7 @@
     }
     UpdateMode(station);
     WifiMode mode;
-    if (GetUseNonErpProtection() == false)
+    if (!GetUseNonErpProtection())
     {
         mode = GetSupported(station, 0);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/rate-control/parf-wifi-manager.cc ns-3.39/src/wifi/model/rate-control/parf-wifi-manager.cc
--- ns-3.38/src/wifi/model/rate-control/parf-wifi-manager.cc	2023-03-16 20:54:23.864869400 -0700
+++ ns-3.39/src/wifi/model/rate-control/parf-wifi-manager.cc	2023-07-05 14:23:48.117428300 -0700
@@ -371,7 +371,7 @@
         channelWidth = 20;
     }
     WifiMode mode;
-    if (GetUseNonErpProtection() == false)
+    if (!GetUseNonErpProtection())
     {
         mode = GetSupported(station, 0);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/rate-control/rraa-wifi-manager.cc ns-3.39/src/wifi/model/rate-control/rraa-wifi-manager.cc
--- ns-3.38/src/wifi/model/rate-control/rraa-wifi-manager.cc	2023-03-16 20:54:23.864869400 -0700
+++ ns-3.39/src/wifi/model/rate-control/rraa-wifi-manager.cc	2023-07-05 14:23:48.117428300 -0700
@@ -395,7 +395,7 @@
         channelWidth = 20;
     }
     WifiMode mode;
-    if (GetUseNonErpProtection() == false)
+    if (!GetUseNonErpProtection())
     {
         mode = GetSupported(station, 0);
     }
@@ -445,7 +445,7 @@
 {
     NS_LOG_FUNCTION(this << station);
     WifiRraaThresholds thresholds = GetThresholds(station, station->m_rateIndex);
-    double ploss = (station->m_nFailed / thresholds.m_ewnd);
+    auto ploss = (static_cast<double>(station->m_nFailed) / thresholds.m_ewnd);
     if (station->m_counter == 0 || ploss > thresholds.m_mtl)
     {
         if (ploss > thresholds.m_mtl)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/rate-control/rrpaa-wifi-manager.cc ns-3.39/src/wifi/model/rate-control/rrpaa-wifi-manager.cc
--- ns-3.38/src/wifi/model/rate-control/rrpaa-wifi-manager.cc	2023-03-16 20:54:23.864869400 -0700
+++ ns-3.39/src/wifi/model/rate-control/rrpaa-wifi-manager.cc	2023-07-05 14:23:48.117428300 -0700
@@ -448,7 +448,7 @@
         channelWidth = 20;
     }
     WifiMode mode;
-    if (GetUseNonErpProtection() == false)
+    if (!GetUseNonErpProtection())
     {
         mode = GetSupported(station, 0);
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.38/src/wifi/model/simple-frame-capture-model.cc ns-3.39/src/wifi/model/simple-frame-capture-model.cc
--- ns-3.38/src/wifi/model/simple-frame-capture-model.cc	2023-03-16 20:54:23.864869400 -0700
+++ ns-3.39/src/wifi/model/simple-frame-capture-model.cc	2023-07-05 14:23:48.117428300 -0700
@@ -79,12 +79,8 @@
 SimpleFrameCaptureModel::CaptureNewFrame(Ptr<Event> currentEvent, Ptr<Event> newEvent) const
 {
     NS_LOG_FUNCTION(this);
-    if ((WToDbm(currentEvent->GetRxPowerW()) + GetMargin()) < WToDbm(newEvent->GetRxPowerW()) &&
-        (IsInCaptureWindow(currentEvent->GetStartTime())))
-    {
-        return true;
-    }
-    return false;
+    return WToDbm(currentEvent->GetRxPowerW()) + GetMargin() < WToDbm(newEvent->GetRxPowerW()) &&
+           IsInCaptureWindow(currentEvent->GetStartTime());
 }
 
 } // namespace ns3
